Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.session.impl
Class ConsultrnImplementationClassFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory
          be.ehealth.businessconnector.consultrn.session.impl.ConsultrnImplementationClassFactory

    public class ConsultrnImplementationClassFactory

extends ImplementationClassFactory

Implementation of `ImplementationClassFactory` for `ConsultrnService`

Constructor Summary
`ConsultrnImplementationClassFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory
`createImplementationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnImplementationClassFactory

    public ConsultrnImplementationClassFactory()

Method Detail

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           String... additionalParameters)
                                throws TechnicalConnectorException

  Overrides:
    `createImplementationClass` in class `ImplementationClassFactory`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.